#ifndef _PI_CONTROLLER_H__
#define _PI_CONTROLLER_H__
typedef struct _pi {
	float Kp_gain;
	float Ki_gain;
	float i_errors;
	float output;
	float max_output;
	float min_output;
}PI_ctrl_t;

float pi_control(PI_ctrl_t *pi, float error);
void pi_clear(PI_ctrl_t *pi);

#endif  /* _PI_CONTROLLER_H__ */

